PTHREAD_RWLOCKATTR_DESTROY(3)

NAME
pthread_rwlockattr_destroy - destroy a read/write lock attributes object

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_rwlockattr_destroy(pthread_rwlockattr_t *attr);

DESCRIPTION
The pthread_rwlockattr_destroy() function is used to destroy a read/write lock attributes object previously created with pthread_rwlockattr_init().

RETURN VALUES
If successful, the pthread_rwlockattr_destroy() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_rwlockattr_destroy() may fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_rwlockattr_init(3)

STANDARDS
The pthread_rwlockattr_destroy() function is expected to conform to susv2.

HISTORY
The pthread_rwlockattr_destroy() function first appeared in FreeBSD 3.0 and OpenBSD 2.5.